%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# This is a subversion checkout of mapnik
# To reproduce this tarball, run :
# svn export -r 671 svn://svn.mapnik.org/trunk mapnik-0.5.0svn671

Name: mapnik
Version: 0.5.0
Release: 0.2.20080324svn%{?dist}
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: Development/Tools
License: LGPLv3+
URL: http://%{name}.org
Source0: http://prdownload.berlios.de/%{name}/%{name}.tar.gz
Patch0: ppc64-build.patch
Patch1: use-system-fonts.patch
Patch2: gcc43-warnings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python
BuildRequires: python-devel
BuildRequires: boost-devel
BuildRequires: agg-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: zlib-devel
BuildRequires: freetype-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: libpqxx-devel
BuildRequires: libicu-devel
BuildRequires: cairo-devel
BuildRequires: cairomm-devel
BuildRequires: dejavu-fonts
BuildRequires: dejavu-fonts-experimental
Requires: python
Requires: boost
Requires: zlib
Requires: freetype
Requires: proj
Requires: gdal
Requires: cairo
Requires: cairomm

%description
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++ and there are Python bindings to
facilitate fast-paced agile development. It can comfortably
be used for both desktop and web development, which was something
I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org 

%package devel
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: Development/Tools
Requires: %{name} = %{version}-%{release}

%description devel
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++ and there are Python bindings to
facilitate fast-paced agile development. It can comfortably
be used for both desktop and web development, which was something
I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org

%package python
Summary:  Python bindings for the Mapnik spatial visualization library
Group:	  Development/Libraries
Requires: %{name} = %{version}-%{release}

%description python
Language bindings to enable the Mapnik library to be used from python

%package utils
Summary:  Utilities distributed with the Mapnik spatial visualization library
Group:	  Development/Libraries
Requires: %{name} = %{version}-%{release}

%description utils
Miscellaneous utilities distributed with the Mapnik spatial visualization 
library

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
%{__python} scons/scons.py %{?_smp_mflags} \
		PREFIX=/usr \
		GDAL_INCLUDES=/usr/include/gdal

%install
rm -rf %{buildroot}
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
%{__python} scons/scons.py install DESTDIR=%{buildroot} \
		PREFIX=/usr \
		GDAL_INCLUDES=/usr/include/gdal

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%files python
%defattr(-,root,root,-)
%{python_sitearch}/%{name}

%files utils
%defattr(-,root,root,-)
%{_bindir}/shapeindex

%changelog
* Mon Mar 24 2008 Christopher Brown <snecklifter@gmail.com> - 0.5.0-0.2.20080324svn
- gcc43 changes merged so dropping patch

* Mon Mar 24 2008 Christopher Brown <snecklifter@gmail.com> - 0.5.0-0.1.20080324svn
- Update for naming guidelines

* Sun Mar 23 2008 Christopher Brown <snecklifter@gmail.com> - 0.5.0svn671-1
- Initial import for Fedora
